QGIS Application - Bug report #6151
fTools crashes when trying to display an error message
2012-08-03 10:17 AM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15475
Description

fTools crashes when trying to display the error message below:
File tools/doMergeShapes.py, line 130, in accept
QMessageBox.warning( self, self.tr( "Delete error" ), self.tr( "Can't delete file %1").arg( outFileName ) )

NameError: global name 'outFileName' is not defined

Very easy fix.

Associated revisions

Revision 3305ccda - 2012-08-03 07:13 PM - Alexander Bruy

fix #6151

History

#1 - 2012-08-03 10:22 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"3305ccda50c3e64ed85ffc6d90ecc6f74f553b74".

#2 - 2012-08-03 10:23 AM - Alexander Bruy

- Resolution set to fixed

#3 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
